<template>
  <RouterLink :to="$props" class="nav-link">
    <slot></slot>
  </RouterLink>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";

@Component
export default class NavLink extends Vue {
  @Prop({ default: "/" }) path: string;
  @Prop({ default: "" }) hash: string;
}
</script>

<style lang="scss" scoped>
.nav-link {
  text-decoration: none;
  text-transform: uppercase;
  font-weight: 400;
  font-size: 14px;
  line-height: 1.3;
  color: $white;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 14px;

  &::before {
    display: block;
    content: "";
    width: 9px;
    height: 9px;
    border-radius: 50%;
    border: 1px solid $white;
    box-sizing: border-box;
    transition: all 0.3s;
  }

  &:hover {
    &::before {
      background-color: $white;
    }
  }
}
</style>
